#include <iostream>

using namespace std;

int a[2000009];

int main()
{
    int n,k;
    int x;
    int c=0;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        a[1000000+x]++;

    }
    for(int i=0;i<2000009;i++)
        if(a[i]>=k) c++;
    cout<<c<<endl;
    for(int i=0;i<2000009;i++)
        if(a[i]>=k) cout<<i-1000000<<" ";
    return 0;
}